MongooseJS 4.0.5 发布,MongonDB 连接包 - 开源中国社区
MongooseJS 4.0.5 发布,MongonDB 连接包
oschina 2015年06月07日

MongooseJS 4.0.5 发布,MongonDB 连接包

oschina oschina 发布于2015年06月07日 收藏 13 评论 2

MongooseJS 4.0.5 发布,此版本更新内容如下:

  • fixed; ObjectIds and buffers when mongodb driver is a sibling dependency #3050 #3048 #3040 #3031 #3020 #2988 #2951

  • fixed; warn user when 'increment' is used in schema #3039

  • fixed; setDefaultsOnInsert with array in schema #3035

  • fixed; dont use default Object toString to cast to string #3030

  • added; npm badge #3020 odeke-em

  • fixed; proper handling for calling .set() with a subdoc #2782

  • fixed; dont throw cast error when using $rename on non-string path #1845

此版本现已提供下载:https://github.com/Automattic/mongoose/archive/4.0.5.zip

Mongoose 是基于nodejs,使用javascript编程,连接mongodb数据库的软件包,使mongodb的文档数据模型变的优雅起来,方便对mongodb文档型数据库的连接和增删改查等常规数据操作。

mongoose是当前使用mean(mongodb express angularjs nodejs)全栈开发必用的连接数据库软件包。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:MongooseJS 4.0.5 发布,MongonDB 连接包
分享
评论(2)
最新评论
0
用mongoskin的飘过~~~
0
做nodejs+mongodb的必备中间件
顶部